%define upstream_name    Petal
%define upstream_version 2.23

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Lingua::31337\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl Template Attribute Language
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MKDoc::XML) >= 0.720.0
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Test::Harness) >= 2.0.0
BuildArch:  noarch

%description
examples deal with using Petal to generate HTML files from HTML templates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Petal.pm
%perl_vendorlib/Petal


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.230.0-10.mga10
+ Revision: 2200189
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.230.0-9.mga9
+ Revision: 1805081
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.230.0-8.mga8
+ Revision: 1496552
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.230.0-7.mga7
+ Revision: 1270517
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.230.0-6.mga6
+ Revision: 1032032
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.230.0-5.mga6
+ Revision: 931368
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.230.0-4.mga5
+ Revision: 742089
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.230.0-3.mga5
+ Revision: 731947
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 2.230.0-2.mga5
+ Revision: 685968
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.230.0-1.mga5
+ Revision: 588628
- update to 2.23

* Sat Oct 19 2013 umeabot <umeabot> 2.220.0-2.mga4
+ Revision: 527200
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.220.0-1.mga4
+ Revision: 439757
- update to 2.22

* Sun Jan 13 2013 umeabot <umeabot> 2.210.0-2.mga3
+ Revision: 371796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.210.0-1.mga3
+ Revision: 342534
- update to 2.21

* Fri Aug 26 2011 jquelin <jquelin> 2.200.0-1.mga2
+ Revision: 135493
- adding missing buildrequire
- update to 2.20
- using perl_convert_version
- mageia rebuild
- imported package perl-Petal


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.19-3mdv2010.0
+ Revision: 430525
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.19-2mdv2009.0
+ Revision: 268712
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.19-1mdv2009.0
+ Revision: 213670
- import perl-Petal


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.19-1mdv2009.0
- first mdv release
